package com.dbxml.db.admin.dialogs;

/*
 * dbXML - Native XML Database
 * Copyright (C) 1999-2004  The dbXML Group, L.L.C.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * $Id: Splash.java,v 1.3 2004/02/12 00:17:54 bradford Exp $
 */

import java.awt.Dimension;
import java.awt.Frame;
import java.awt.Toolkit;
import javax.swing.ImageIcon;
import javax.swing.JLabel;
import javax.swing.JWindow;

/**
 * Splash
 */

public final class Splash extends JWindow implements Runnable {
	private Thread thread = new Thread(this);
	
   JLabel lblImage = new JLabel();
   ImageIcon imgImage;

   public Splash() {
      this(null);
   }
	
   public Splash(Frame frame) {
      super(frame);
      try {
         jbInit();
         pack();

         Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
         Dimension frameSize = getSize();
         if (frameSize.height > screenSize.height)
           frameSize.height = screenSize.height;
         if (frameSize.width > screenSize.width)
           frameSize.width = screenSize.width;
         setLocation((screenSize.width - frameSize.width) / 2, (screenSize.height - frameSize.height) / 2);
			
			thread.start();
      }
      catch(Exception ex) {
         ex.printStackTrace();
      }
   }

   private void jbInit() throws Exception {
      imgImage = new ImageIcon(Splash.class.getResource("splash.jpg"));
		this.getContentPane().add(lblImage);
      lblImage.setIcon(imgImage);
   }
	
	public synchronized void run() {
		this.setVisible(true);
		try {
			wait();
		}
		catch ( InterruptedException e ) {
			// Unlikely To Happen
		}
		this.setVisible(false);
	}
	
	public synchronized void done() {
		notify();
	}
}
